%define modname keyring
Name:           python-%{modname}
Version:        0.1
Release:        2.1
Summary:        Python Library That Provides Access to KDE/Gnome/MacOS/Windows keyrings
URL:            http://pypi.python.org/pypi/keyring
License:        LGPL v2 or later
Group:          Development/Libraries/Python
Source:         %{modname}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-buildroot
%{py_requires}
BuildRequires:  python-devel libkde4-devel gnome-keyring-devel
Supplements:    python-keyring-kde
Supplements:    python-keyring-gnome

%description
Generic keyring library for python applications. It can be used standalone or with
wrapper plugins for KDE or Gnome.

%package kde
Summary:        KDE KWallet support for python keyring
Group:          Development/Libraries/Python
Requires:       python-keyring

%description kde
This plugin enhances python keyring applications to use the KDE 4 Wallet system to
store passwords.

%package gnome
Summary:        Gnome keyring support for python keyring
Group:          Development/Libraries/Python
Requires:       python-keyring

%description gnome
This plugin enhances python keyring applications to use the Gnome keyring system to
store passwords.


%prep
%setup -q -n %{modname}-%{version}

%build
CFLAGS="%{optflags}" \
%__python ./setup.py build

%install
%__python ./setup.py install \
    --prefix="%{_prefix}" \
    --root="%{buildroot}"

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README.txt
%py_libdir/site-packages/keyring*

%files kde
%defattr(-,root,root)
%py_libdir/site-packages/kde_kwallet.so                                                                                             

%files gnome
%defattr(-,root,root)
%py_libdir/site-packages/gnome_keyring.so                                                                                             

%changelog
* Fri Sep  4 2009 adrian@suse.de
- package initial version 0.1
